
QGIS Application - Bug report #1938

Deleted features in shapefile reappear with "ERROR" in attribute table.

2009-09-20 10:07 AM - cgsbob -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11998

Description

I am using r11960 on Ubuntu amd64.

I selected several features in the "Open Attribute Table" window and clicked on "Delete Selected".  These features are removed from the

attribute table, but reappear after I click on "Toggle Editing". The word "ERROR" appears in the attribute fields, and the following message

in the shell:

Debug: /home/bobm/src/gis/qgis_svn/src/app/attributetable/qgsattributetablemodel.cpp: 275: (rowToId) rowToId: row 7 not in the

map

Debug: /home/bobm/src/gis/qgis_svn/src/app/attributetable/qgsattributetablemodel.cpp: 275: (rowToId) rowToId: row 7 not in the

map

ERROR 1: Attempt to read shape with feature id (-999999) out of available range.

History

#1 - 2009-09-20 10:18 AM - cgsbob -

I should add that when I try to deleted the records that have "ERROR", qgis becomes unresponsive.  CTRL-C does not work but CTRL-\\ works.

#2 - 2009-09-26 12:07 PM - Giovanni Manghi

I cannot replicate the problem under ubuntu 32 bit with qgis trunk. Can you post a sample to be tested by others?

#3 - 2009-10-12 02:27 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

Still not replicable here. Please reopen if necessary, but if possible attach problematic sample data.
